<template>
  <div class="header flex row">
    <div class="badge-container">
      <img src="@/assets/badge.png" />
    </div>
    <div class="title-container flex auto column align-start content-end">
      <div>
        <span class="theme-headline">缅怀先贤，不忘初心</span>
      </div>
      <div class="m-t-10">
        <span class="header-title-name"
          >“与冯秉铨先生跨越时空的对话”虚拟仿真实验</span
        >
      </div>
    </div>
    <div class="user-container flex column align-end content-end">
      <div class="theme-min-headline header-block">
        <el-link
          v-if="!isLogin && !isExpert"
          type="info"
          @click.native="linkTo('/login')"
          >平台登录</el-link
        >
        <UserMessageBlock v-else></UserMessageBlock>
      </div>
      <div class="m-t-10">
        <el-button type="danger">进入实验</el-button>
      </div>
    </div>
  </div>
</template>
<script>
import UserMessageBlock from "./userblock";
import { mapGetters } from "vuex";

export default {
  name: "homeTitle",
  components: {
    UserMessageBlock
  },
  data() {
    return {};
  },
  computed: {
    ...mapGetters({
      isLogin: "accounts/isLogin",
      isExpert: "accounts/isExpert"
    })
  },
  methods: {
    linkTo(path) {
      this.$router.push(path);
    }
  }
};
</script>
<style lang="scss" scoped>
.header {
  margin-top: 20px;
  .badge-container {
    width: 90px;
    height: 90px;
    img {
      width: 100%;
    }
  }
  .title-container {
    padding-left: 20px;
  }
}
.header-title-p {
  font-weight: 600;
  color: rgb(119, 69, 69);
  font-size: 20px;
}
.header-title-name {
  font-weight: 600;
  color: rgb(218, 25, 25);
  font-size: 36px;
}
.m-t-20 {
  margin-top: 20px;
  .el-divider__text,
  .el-link {
    font-size: 16px;
  }
}
.header-block {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: flex-end;
}
</style>
